# PossibleHSCodes

Possible HS Codes

`POST /hscode/hints`

**API:** HSCode classification service
**Tag:** public
**API Version:** 1.2.0
**Base URL:** https://hscode.api.avalara.com
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/automated-tariff-code/api/methods/public/PossibleHSCodes/

## Description

Predicts a list of possible HS code using the provided product information for the specified country of destination.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `api_version` | string | query | No | The API version to use. |

## Request Body

**Content-Type:** `application/json`

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success |  |
| 401 | Unauthorized | `UnauthorizedErrorResponse` |
| 403 | Forbidden | `ForbiddenErrorResponse` |
| 422 | Validation Error |  |
| default | Internal Error | `InternalErrorResponse` |

## Example Request

```bash
curl -X POST "https://hscode.api.avalara.com/hscode/hints" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '[
  {
    "product_title": "LEWEL Men's Stylish Back Printed 3/4th Sleeve T-Shirt (Black)",
    "cod": "CA",
    "image_url": "https://your.web/image.jpeg",
    "product_url": "https://your.web/your_product.html",
    "price": "$10",
    "product_category": "mens > clothes",
    "product_description": "Stylish Back Printed 3/4th Sleeve T-Shirt",
    "attributes": [
      {
        "Weaving method": "Knitted"
      }
    ]
  }
]'
```